WebSphereClusterMember (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereClusterMember interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereClusterMember

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebSphereClusterMember

extends LogicalElement

A WebSphere Cluster Member

Naming Rules:
  0="nodeName,serverName" 1="managedSystemName"
Persistable:
  true
Table Name:
  WASCLUSTERMBR
Display Name:
  nodeName,serverName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`WebSphereCluster` | `getCluster()`
`java.lang.String` | `getNodeName()`
`java.lang.String` | `getServerName()`
`java.lang.String` | `getUniqueId()`
`int` | `getWeight()`
`boolean` | `hasCluster()`
`boolean` | `hasNodeName()`
`boolean` | `hasServerName()`
`boolean` | `hasUniqueId()`
`boolean` | `hasWeight()`
`void` | `setCluster(WebSphereCluster cluster)`
`void` | `setNodeName(java.lang.String nodeName)`
`void` | `setServerName(java.lang.String serverName)`
`void` | `setUniqueId(java.lang.String uniqueId)`
`void` | `setWeight(int weight)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getCluster

    WebSphereCluster getCluster()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setCluster

    void setCluster(WebSphereCluster cluster)

### hasCluster

    boolean hasCluster()

### getNodeName

    java.lang.String getNodeName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNodeName

    void setNodeName(java.lang.String nodeName)

### hasNodeName

    boolean hasNodeName()

### getServerName

    java.lang.String getServerName()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerName

    void setServerName(java.lang.String serverName)

### hasServerName

    boolean hasServerName()

### getWeight

    int getWeight()
                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setWeight

    void setWeight(int weight)

### hasWeight

    boolean hasWeight()

### getUniqueId

    java.lang.String getUniqueId()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUniqueId

    void setUniqueId(java.lang.String uniqueId)

### hasUniqueId

    boolean hasUniqueId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD